Page MenuHomePhabricator

Add email address to specific user account on en.wikipedia
Closed, ResolvedPublic

Description

A user (User:Eritha) has forgotten their password, and can't add an email address to their account. They are still logged in, so it's not a problem yet - but once the cookie forgets the log in details they won't be able to get a password reset email. They've been around for 8 months and made several hundred edits, and would like to stick with the present account rather than create a new one.

Would it be possible to for a serveradmin to add an email address to the account so the user can reset their password?

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 21 2019, 8:35 AM

and can't add an email address to their account.

Why not, if they are still logged in? What happens when they go to Special:Preferences#mw-prefsection-personal-email ?

(Disclaimer: I'm not from Trust-and-Safety)

If they're still logged in, the best way would probably to post the request on-wiki, ideally include the email in the request, so there's no doubt in the request being valid.

and can't add an email address to their account.

Why not, if they are still logged in? What happens when they go to Special:Preferences#mw-prefsection-personal-email ?

That requires passing "You must log in again to verify that you are Martin Urbanec." dialog, which requires their password.

(Disclaimer: I'm not from Trust-and-Safety)
If they're still logged in, the best way would probably to post the request on-wiki, ideally include the email in the request, so there's no doubt in the request being valid.

and can't add an email address to their account.

Why not, if they are still logged in? What happens when they go to Special:Preferences#mw-prefsection-personal-email ?

That requires passing "You must log in again to verify that you are Martin Urbanec." dialog, which requires their password.

I'll get them to do that and make sure the diff is posted here.

Richard_Nevell_WMUK added a comment.EditedJun 18 2019, 12:08 PM

Request posted by the user in question https://en.wikipedia.org/w/index.php?title=User_talk%3AEritha&type=revision&diff=902377498&oldid=898295191

Would it also be possible for the diff to be deleted once the email has been added to the account?

Mentioned in SAL (#wikimedia-operations) [2019-06-18T12:13:39Z] <Urbanecm> Assigned an email address to Eritha@enwiki per user request (T223960)

Urbanecm closed this task as Resolved.Jun 18 2019, 12:15 PM
Urbanecm claimed this task.

Done. Because this request is verified by an on-wiki edit, there are sufficent elements to confirm Eritha's identity, and to process the request. Eritha should now be able to reset their password.

Restricted Application added a project: User-Urbanecm. · View Herald TranscriptJun 18 2019, 12:15 PM

Regarding diff deletion, an enwiki admin is required. I've requested a revdel via IRC.